> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/tasks/get_offers_tasks.md).

# Get offers tasks

| HTTP method | Endpoint             |
| ----------- | -------------------- |
| **GET**     | **/v1/offers/tasks** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters       | Type    | Description                                                                                                                                                               |
| ---------- | ---------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset           | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit            | limit   | The number of date displays in each page.                                                                                                                                 |
| Sort       | sort             | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters          | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |                  |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields           | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id               | integer |                                                                                                                                                                           |
|            | offer\_id        | integer | A string that uniquely identifies this offer.                                                                                                                             |
|            | user\_id         | integer | Founder ID (manager ID).                                                                                                                                                  |
|            | modify\_status   | string  | Set status for task: active or paused                                                                                                                                     |
|            | execute\_time    | string  | Execution time.                                                                                                                                                           |
|            | create\_time     | string  | Creation time.                                                                                                                                                            |
|            | update\_time     | string  | update time.                                                                                                                                                              |
|            | complete\_status | integer | Complete status： 0: uncompleted ;  1: completed                                                                                                                           |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field            | Type    | Description                                                                                                        |
| ---------------- | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id               | integer |                                                                                                                    |
| offer\_id        | integer | A string that uniquely identifies this offer.                                                                      |
| user\_id         | integer | Founder ID (manager ID).                                                                                           |
| modify\_status   | string  | Set status for task: active or paused                                                                              |
| execute\_time    | string  | Execution time.                                                                                                    |
| create\_time     | string  | Creation time.                                                                                                     |
| update\_time     | string  | update time.                                                                                                       |
| complete\_status | integer | Complete status： 0: uncompleted ;  1: completed                                                                    |
| totalPages       | integer | The list of data pages (associated with your limit).                                                               |
| totalRows        | integer | Total number of available data.                                                                                    |
| offset           | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit            | integer | The number of data displayed on one page                                                                           |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/offers/tasks?sort=+id&limit=3&offset=1&fields=id,offer_id,user_id,modify_status,execute_time&filters[complete_status][EQUAL_TO]=0>

**Request GET** <http://{networkname}.api.offerslook.com/v1/offers/tasks?sort=+id&limit=3&offset=1&fields=id,offer_id,user_id,modify_status,execute_time&filters[complete_status][EQUAL_TO]=0>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_task": [
          {
            "id": 169,
            "offer_id": 3147,
            "user_id": 1,
            "execute_time": "2017-05-12 10:00:00",
            "modify_status": "active"
          },
          {
            "id": 170,
            "offer_id": 4321,
            "user_id": 1,
            "execute_time": "2011-05-12 10:00:00",
            "modify_status": "active"
          }
        ]
      }
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/tasks/get_offers_tasks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
